Summary: Red Hat Sound Configuration tool
Name: sndconfig
Version: 0.21
Release: 2
Copyright: distributable
Group: Utilities/System
Source: sndconfig-%{PACKAGE_VERSION}.tar.gz
Requires: isapnptools
Buildroot: /tmp/rhsound
Exclusivearch: i386 
Summary(de): Red-Hat-Sound-Konfigurations-Tool 
Summary(fr): Outil Red Hat de configuration du son
Summary(tr): Red Hat ses ayarlama arac

%changelog
* Tue May 05 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr

* Tue May 05 1998 Cristian Gafton <gafton@redhat.com>
- fixed problem with overwriting the conf.modules file

* Tue Dec 30 1997 Erik Troan <ewt@redhat.com>
- fixed problem w/ free()ing bad pointers

* Fri Dec 19 1997 Erik Troan <ewt@redhat.com>
- general Makefile cleanups

* Fri Nov  7 1997 Michael Fulbright <msf@redhat.com>
- fixed bug in reading current settings from conf.modules

* Fri Oct 31 1997 Michael Fulbright <msf@redhat.com>
- fixed behavior to work with rhsound service
- added support for midi in conf.modules, isapnp.conf
- reduced duplicate info stored in /etc/sysconfig/sound

* Wed Oct 29 1997 Mike Wangsmo <wanger@redhat.com>
- removed README's from tarball and coverted to buildroot

* Thu Oct 24 1997 Michael Fulbright <msf@redhat.com>
- added some docs on the sound modules

* Tue Oct 22 1997 Michael Fulbright <msf@redhat.com>
- changed sound sample to linux d00d instead of gorby d00d

* Tue Oct 14 1997 Michael Fulbright <msf@redhat.com>
- fixed creation of temporary files to be more secure.

* Mon Oct  6 1997 Michael Fulbright <msf@redhat.com>
- added man page

* Fri Oct  3 1997 Michael Fulbright <msf@redhat.com>
- first version

%description
The Red Hat sound package includes the sndconfig tool whichs
is a text based sound configuration tool.  You can use
it to set the proper sound type for programs which use the
devices /dev/dsp, /dev/audio, and /dev/mixer.  Sound settings 
are saved via the use of aumix and sysV runlevel scripts.

Currently only supports sound blaster type cards.

%description -l de
Das Red-Hat-Soundpaket beinhaltet das sndconfig-Tool, ein
textorientiertes Sound-Konfigurations-Tool, das Sie zum 
Einstellen des richtigen Soundtyps fr Programme benutzen
knnen, welche die Gerte /dev/dsp, /dev/audio und /dev/mixer
benutzen. Sound-Einstellungen werden ber aumix- und sysV-
Runlevel-Skripts gespeichert.

%description -l fr
Voici le package son de Red Hat, incluant l'outil sndconfig, qui
est un outil en mode texte pour configurer le son. vous pouvez
l'utiliser pour rgler le le son pour des programmes utilisant les
priphriques /dev/dsp, /dev/audio, et /dev/mixer. Les rglages du son
sont sauvs via l'utilisation de aumix et des scripts sysV.

Actuellement seules les cartes de types soundblaster sont supportes.

%description -l tr
sndconfig, metin tabanl bir ses kart ayarlama aracdr. /dev/dsp,
/dev/audio ve /dev/mixer aygtlarn kullanan programlar iin uygun ses
tipini ayarlamanz salar. imdilik yalnzca sound-blaster tipi kartlar
desteklemektedir.

%prep
%setup -c

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
strip sndconfig

%install
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/share/sndconfig
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
install -m755 -o root -g root sndconfig $RPM_BUILD_ROOT/usr/sbin/sndconfig
install -m755 -o root -g root sbpnpprobe $RPM_BUILD_ROOT/usr/sbin/sbpnpprobe
uudecode < sample.uue > sample.au
cp -a sample.au $RPM_BUILD_ROOT/usr/share/sndconfig/sample.au
cp -a sndconfig.man $RPM_BUILD_ROOT/usr/man/man8/sndconfig.8
cp -a sbpnpprobe.man $RPM_BUILD_ROOT/usr/man/man8/sbpnpprobe.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/sbin/sndconfig
/usr/sbin/sbpnpprobe
/usr/share/sndconfig/sample.au
/usr/man/man8/sndconfig.8
/usr/man/man8/sbpnpprobe.8
